Description

running :

export MODULE_PATH="/etc/puppet/modules/common" 

mkdir -p $MODULE_PATH

for mod in apache foreman foreman_proxy git passenger puppet tftp xinetd; do

  mkdir -p $MODULE_PATH/$mod

  wget http://github.com/theforeman/puppet-$mod/tarball/master -O - | tar xzvf - -C $MODULE_PATH/$

mod --strip-components=1

done;

echo include puppet, puppet::server, foreman, foreman_proxy | puppet apply --modulepath $MODULE_PA

TH

Fails because the paths setup to download don't exist: ie http://yum.theforeman.org/stable/foreman

-1.0.0-1.el6.noarch.rpm doesn't exist.

History

#1 - 07/29/2012 09:18 AM - Ohad Levy

- Priority changed from Urgent to Normal

yes, this is what https://github.com/theforeman/puppet-foreman/pull/7 is fixing this issue.

so far the installer has not been fully updated as the deb packages are not avail yet.

stay tuned and it would be updated shortly, or if you prefer to apply the patch above to get it working with 1.0.

#2 - 07/29/2012 09:20 AM - Ohad Levy

- Assignee set to Sam Kottler

#3 - 07/30/2012 02:25 AM - Chris Lee

Thanks so much, I'll try apply the patch manually and see how it goes.

#4 - 07/30/2012 10:15 AM - Chris Lee

Just and FYI

applying the patch worked on a clean install of SL6 with out any problems

#5 - 07/30/2012 01:24 PM - Sam Kottler

- Status changed from New to Pending

Great, thanks for testing it out!

#6 - 07/30/2012 04:44 PM - Chris Lee

05/10/2024 1/2

https://github.com/theforeman/puppet-foreman/pull/7


Hmm seems I spoke too soon

fI Finally got a chance to check everything again and while the patch worked and the install then works perfectly. Passenger doesn't work once it is

done and the puppet clients all give errors such as when running puppet agent --test

err: Could not request certificate: Error 500 on SERVER: <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "

http://www.w3.org/TR/html4/strict.dtd&quot;>

<html>

<head>

...

#7 - 07/31/2012 12:07 AM - Ohad Levy

my guess this is because of the wrong config.ru, if no one else would beat me to it, I'll try to fix it later today.

#8 - 09/12/2012 02:32 AM - Sam Kottler

- Status changed from Pending to Closed

Closing this ticket out since it seems to be resolved. @Christian Holzheimer, if you're still having issues feel free to open it back up and we'll be sure

to help.
